﻿#nullable disable
#pragma warning disable CS8603
#pragma warning disable CS8632
#pragma warning disable IDE1006

namespace IFX.Shared.PasteSpecialXml.EAF.XML.API.Envelope;

// NOTE: Generated code may require at least .NET Framework 4.5 or .NET Core/Standard 2.0.
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2003/05/soap-envelope")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://www.w3.org/2003/05/soap-envelope", IsNullable = false)]
public partial class Envelope
{

    private EnvelopeHeader? headerField;

    private EnvelopeBody? bodyField;

    /// <remarks/>
    public EnvelopeHeader Header
    {
        get => this.headerField;
        set => this.headerField = value;
    }

    /// <remarks/>
    public EnvelopeBody Body
    {
        get => this.bodyField;
        set => this.bodyField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2003/05/soap-envelope")]
public partial class EnvelopeHeader
{

    private Sequence? sequenceField;
    private SequenceAcknowledgement? sequenceAcknowledgementField;
    private Action? actionField;

    private string? relatesToField;
    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
    public Sequence Sequence
    {
        get => this.sequenceField;
        set => this.sequenceField = value;
    }
    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
    public SequenceAcknowledgement SequenceAcknowledgement
    {
        get => this.sequenceAcknowledgementField;
        set => this.sequenceAcknowledgementField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://www.w3.org/2005/08/addressing")]
    public Action Action
    {
        get => this.actionField;
        set => this.actionField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://www.w3.org/2005/08/addressing")]
    public string RelatesTo
    {
        get => this.relatesToField;
        set => this.relatesToField = value;
    }
}
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm", IsNullable = false)]
public partial class Sequence
{
    private string? identifierField;
    private byte messageNumberField;
    private object? lastMessageField;
    private byte mustUnderstandField;
    /// <remarks/>
    public string Identifier
    {
        get => this.identifierField;
        set => this.identifierField = value;
    }
    /// <remarks/>
    public byte MessageNumber
    {
        get => this.messageNumberField;
        set => this.messageNumberField = value;
    }
    /// <remarks/>
    public object LastMessage
    {
        get => this.lastMessageField;
        set => this.lastMessageField = value;
    }
    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://www.w3.org/2003/05/soap-envelope")]
    public byte mustUnderstand
    {
        get => this.mustUnderstandField;
        set => this.mustUnderstandField = value;
    }
}
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm", IsNullable = false)]
public partial class SequenceAcknowledgement
{
    private string? identifierField;
    private SequenceAcknowledgementAcknowledgementRange? acknowledgementRangeField;
    private byte bufferRemainingField;
    /// <remarks/>
    public string Identifier
    {
        get => this.identifierField;
        set => this.identifierField = value;
    }
    /// <remarks/>
    public SequenceAcknowledgementAcknowledgementRange AcknowledgementRange
    {
        get => this.acknowledgementRangeField;
        set => this.acknowledgementRangeField = value;
    }
    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.microsoft.com/ws/2006/05/rm")]
    public byte BufferRemaining
    {
        get => this.bufferRemainingField;
        set => this.bufferRemainingField = value;
    }
}
/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
public partial class SequenceAcknowledgementAcknowledgementRange
{
    private byte lowerField;
    private byte upperField;
    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public byte Lower
    {
        get => this.lowerField;
        set => this.lowerField = value;
    }
    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute()]
    public byte Upper
    {
        get => this.upperField;
        set => this.upperField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2005/08/addressing")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://www.w3.org/2005/08/addressing", IsNullable = false)]
public partial class Action
{

    private byte mustUnderstandField;

    private string? valueField;

    /// <remarks/>
    [System.Xml.Serialization.XmlAttribute(Form = System.Xml.Schema.XmlSchemaForm.Qualified, Namespace = "http://www.w3.org/2003/05/soap-envelope")]
    public byte mustUnderstand
    {
        get => this.mustUnderstandField;
        set => this.mustUnderstandField = value;
    }

    /// <remarks/>
    [System.Xml.Serialization.XmlText()]
    public string Value
    {
        get => this.valueField;
        set => this.valueField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://www.w3.org/2003/05/soap-envelope")]
public partial class EnvelopeBody
{

    private CreateSequenceResponse? createSequenceResponseField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
    public CreateSequenceResponse CreateSequenceResponse
    {
        get => this.createSequenceResponseField;
        set => this.createSequenceResponseField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
[System.Xml.Serialization.XmlRoot(Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm", IsNullable = false)]
public partial class CreateSequenceResponse
{

    private string? identifierField;

    private CreateSequenceResponseAccept? acceptField;

    /// <remarks/>
    public string Identifier
    {
        get => this.identifierField;
        set => this.identifierField = value;
    }

    /// <remarks/>
    public CreateSequenceResponseAccept Accept
    {
        get => this.acceptField;
        set => this.acceptField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
public partial class CreateSequenceResponseAccept
{

    private CreateSequenceResponseAcceptAcksTo? acksToField;

    /// <remarks/>
    public CreateSequenceResponseAcceptAcksTo AcksTo
    {
        get => this.acksToField;
        set => this.acksToField = value;
    }
}

/// <remarks/>
[Serializable()]
[System.ComponentModel.DesignerCategory("code")]
[System.Xml.Serialization.XmlType(AnonymousType = true, Namespace = "http://schemas.xmlsoap.org/ws/2005/02/rm")]
public partial class CreateSequenceResponseAcceptAcksTo
{

    private string? addressField;

    /// <remarks/>
    [System.Xml.Serialization.XmlElement(Namespace = "http://www.w3.org/2005/08/addressing")]
    public string Address
    {
        get => this.addressField;
        set => this.addressField = value;
    }
}